From 4a8c88cb1b41eda88e13d455a2a4f6e174d5bd26 Mon Sep 17 00:00:00 2001
From: Anthony <anthony.schrapffer@polytechnique.fr>
Date: Fri, 29 May 2020 21:18:17 +0200
Subject: [PATCH] Update the Experiments

---
 tests/EuroSW/BuildHTUs_EuroSW.pbs |  4 ++-
 tests/EuroSW/run.def              |  2 +-
 tests/Global_WFDEI/BuildHTUs.pbs  | 48 +++++++++++++++++++++++++++++++
 tests/Global_WFDEI/Weight.pbs     | 35 ++++++++++++++++++++++
 tests/Global_WFDEI/run.def        | 32 +++++++++++++++++++++
 5 files changed, 119 insertions(+), 2 deletions(-)
 create mode 100644 tests/Global_WFDEI/BuildHTUs.pbs
 create mode 100644 tests/Global_WFDEI/Weight.pbs
 create mode 100644 tests/Global_WFDEI/run.def

diff --git a/tests/EuroSW/BuildHTUs_EuroSW.pbs b/tests/EuroSW/BuildHTUs_EuroSW.pbs
index 591f3ee..7f095c5 100644
--- a/tests/EuroSW/BuildHTUs_EuroSW.pbs
+++ b/tests/EuroSW/BuildHTUs_EuroSW.pbs
@@ -12,11 +12,12 @@ export NSLOTS=$(($PBS_NUM_NODES*$PBS_NUM_PPN))
 #
 # Set the right Python 3 Anaconda environment
 #
+date
 source ../../Environment
 #
 # Clean-up. Weights are kept for future runs.
 #
-/bin/rm -f DocumentationInterface *.txt
+/bin/rm -f DocumentationInterface *.txt check.out
 #
 # If weights file does not exist, then compute it quickly
 #
@@ -45,4 +46,5 @@ else
     echo "======================================="
 fi
 #
+date
 ls -l
diff --git a/tests/EuroSW/run.def b/tests/EuroSW/run.def
index f83c017..cc950e8 100644
--- a/tests/EuroSW/run.def
+++ b/tests/EuroSW/run.def
@@ -17,7 +17,7 @@ nbasmax = 35
 #
 # Output
 #
-GraphFile = LC_Spain_test_graph.nc
+GraphFile = EuroSW_Spain_test_graph.nc
 #
 # Diagnostics
 # You need to provide an interval in longitude and Latitude.
diff --git a/tests/Global_WFDEI/BuildHTUs.pbs b/tests/Global_WFDEI/BuildHTUs.pbs
new file mode 100644
index 0000000..b2c1955
--- /dev/null
+++ b/tests/Global_WFDEI/BuildHTUs.pbs
@@ -0,0 +1,48 @@
+#!/bin/bash
+#
+#PBS -N BuildHTUs_IP
+#
+#PBS -j oe
+#PBS -l nodes=1:ppn=48
+#PBS -l walltime=12:00:00
+#PBS -l mem=200gb
+#PBS -l vmem=200gb
+#
+cd ${PBS_O_WORKDIR}
+export NSLOTS=$(($PBS_NUM_NODES*$PBS_NUM_PPN))
+#
+# Set the right Python 3 Anaconda environment
+#
+source ../../Environment
+#
+# Clean-up. Weights are kept for future runs.
+#
+/bin/rm -f DocumentationInterface *graph.nc *.txt check.out
+#
+if [ ! -e Weights.nc ] ; then
+    mpirun -n ${NSLOTS} python ../../WeightsOnly.py
+    if [ $? -gt 0 ] ; then
+        exit
+    else
+        echo "======================================="
+        echo "= Weight computed                     ="
+        ls -l Weights.nc
+        echo "======================================="  
+    fi
+fi
+#
+# Run the Python code to generate the HTUs and write them into a netCDF file.
+# It will also generate the weights if needed.
+#
+mpirun -n ${NSLOTS} python ../../RoutingPreProc.py
+if [ $? -gt 0 ] ; then
+    echo "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
+    echo "X    Run on Iberian Peninsula failed    X"
+    echo "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
+else
+    echo "======================================="
+    echo "= Run on Iberian Peninsula successful ="
+    echo "======================================="
+fi
+#
+ls -l
diff --git a/tests/Global_WFDEI/Weight.pbs b/tests/Global_WFDEI/Weight.pbs
new file mode 100644
index 0000000..42affaa
--- /dev/null
+++ b/tests/Global_WFDEI/Weight.pbs
@@ -0,0 +1,35 @@
+#!/bin/bash
+#
+#PBS -N Weights
+#
+#PBS -j oe
+#PBS -l nodes=1:ppn=48
+#PBS -l walltime=128:00:00
+#PBS -l mem=100gb
+#PBS -l vmem=100gb
+#
+cd ${PBS_O_WORKDIR}
+export NSLOTS=$(($PBS_NUM_NODES*$PBS_NUM_PPN))
+#
+# Set the right Python 3 Anaconda environment
+#
+source ../../Environment
+#
+# Clean-up. Weights are kept for future runs.
+#
+/bin/rm -f DocumentationInterface *graph.nc *.txt
+#
+# Run the Python code to generate the HTUs and write them into a netCDF file.
+#
+mpirun -n ${NSLOTS} python ../../WeightsOnly.py
+if [ $? -gt 0 ] ; then
+    echo "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
+    echo "X    Run on Iberian Peninsula failed    X"
+    echo "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
+else
+    echo "======================================="
+    echo "= Run on Iberian Peninsula successful ="
+    echo "======================================="
+fi
+#
+ls -l
diff --git a/tests/Global_WFDEI/run.def b/tests/Global_WFDEI/run.def
new file mode 100644
index 0000000..3947f73
--- /dev/null
+++ b/tests/Global_WFDEI/run.def
@@ -0,0 +1,32 @@
+[OverAll]
+#
+#
+#
+EarthRadius = 6370000.
+#
+ModelGridFile = /bdd/ORCHIDEE_Forcing/BC/OOL/OL2/WFDEI_CRU/WFDEI_CRU_1991.nc
+# WEST_EAST = -90.75, 0.25
+# SOUTH_NORTH = -60.5, 60.25
+HydroFile = /homedata/aschrapffer/routingnc/0.5deg/routing_out.nc
+#
+# FORTRAN interface parameters
+#
+Documentation = true
+#
+# Configuration for the graph to be generated
+#
+nbasmax = 1
+#
+# Number of operation of simplification performed together
+#
+numop = 100
+#
+# Output
+#
+GraphFile = WFDEI_CRU_Global_test_graph.nc
+#
+# Diagnostics
+# You need to provide an interval in longitude and Latitude.
+#
+# DiagLon = 3.9, 3.9
+# DiagLat = 40.0, 40.0
-- 
GitLab